Skip to content
Start here

Create a new workflow instance

workflows.instances.create(strworkflow_name, InstanceCreateParams**kwargs) -> InstanceCreateResponse
POST/accounts/{account_id}/workflows/{workflow_name}/instances

Creates a new instance of a workflow, starting its execution.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers Scripts Write
ParametersExpand Collapse
account_id: str
workflow_name: str
maxLength64
minLength1
instance_id: Optional[str]
maximum100
minimum1
instance_retention: Optional[InstanceRetention]
error_retention: Optional[Union[int, str]]

Specifies the duration in milliseconds or as a string like '5 minutes'.

One of the following:
int

Specifies the duration in milliseconds.

str
success_retention: Optional[Union[int, str]]

Specifies the duration in milliseconds or as a string like '5 minutes'.

One of the following:
int

Specifies the duration in milliseconds.

str
params: Optional[object]
ReturnsExpand Collapse
class InstanceCreateResponse:
id: str
maxLength100
minLength1
status: Literal["queued", "running", "paused", 5 more]
One of the following:
"queued"
"running"
"paused"
"errored"
"terminated"
"complete"
"waitingForPause"
"waiting"
version_id: str
formatuuid
workflow_id: str
formatuuid

Create a new workflow instance

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
instance = client.workflows.instances.create(
    workflow_name="x",
    account_id="account_id",
)
print(instance.id)
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "id": "x",
    "status": "queued",
    "version_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "workflow_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  },
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "id": "x",
    "status": "queued",
    "version_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "workflow_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  },
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0
  }
}